Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.statistics
Class CIBValueStatisticImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.statistics.CIBStatisticImpl
          com.sun.mfwk.cib.sdk.statistics.CIBValueStatisticImpl

All Implemented Interfaces:
  CIBStatistic, CIBValueStatistic, javax.management.j2ee.statistics.Statistic

public class CIBValueStatisticImpl
extends CIBStatisticImpl
implements CIBValueStatistic

Provides a default implementation of a CIBValueStatistic

Constructor Summary
`CIBValueStatisticImpl(java.lang.String name, java.lang.String description)` Constructor

Method Summary
`CIBStatistic` | `fromCompositeData(javax.management.openmbean.CompositeData data)` Creates a CIBStatistic object from a composite data
`long` | `getValue()` Return the current value of the statistic
`void` | `reset()` Reset the statistic object
`void` | `setValue(long value)` Set the value of the statsitic object
`javax.management.openmbean.CompositeData` | `toCompositeData()` Returns a composite data object reprsenting the statistic object
`java.lang.String` | `toString()` Returns a printable statistic object

Methods inherited from class com.sun.mfwk.cib.sdk.statistics.CIBStatisticImpl
`getDescription, getLastSampleTime, getName, getStartTime, getUnit, setLastSampleTime, setStartTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### CIBValueStatisticImpl

    public CIBValueStatisticImpl(java.lang.String name,
                                 java.lang.String description)

  Constructor

Parameters:
  `name` - String
  `description` - String

Method Detail

### setValue

    public void setValue(long value)

  Set the value of the statsitic object

  Parameters:
    `value` - long

### getValue

    public long getValue()

  Return the current value of the statistic

  Specified by:
    `getValue` in interface `CIBValueStatistic`
  Returns:
    long

### toCompositeData

    public javax.management.openmbean.CompositeData toCompositeData()
                                                             throws javax.management.openmbean.OpenDataException

  Returns a composite data object reprsenting the statistic object

  Specified by:
    `toCompositeData` in interface `CIBStatistic`
  Returns:
    CompositeData
  Throws:
    `javax.management.openmbean.OpenDataException`

### fromCompositeData

    public CIBStatistic fromCompositeData(javax.management.openmbean.CompositeData data)

  Creates a CIBStatistic object from a composite data

  Specified by:
    `fromCompositeData` in interface `CIBStatistic`
  Returns:
    CIBStatistic

### reset

    public void reset()

  Reset the statistic object

  Overrides:
    `reset` in class `CIBStatisticImpl`

### toString

    public java.lang.String toString()

  Returns a printable statistic object

  Overrides:
    `toString` in class `CIBStatisticImpl`
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD